SHA1SUM(1)

NAME
sha1sum - Print or check the SHA1 checksums

SYNOPSIS
sha1sum [-c|--check] [-w|--warn] [--status] [--quiet] [--ignore-missing] [--strict] [--tag] [-t|--text] [-z|--zero] [-h|--help] [-V|--version] [file]

DESCRIPTION
Print or check the SHA1 checksums

OPTIONS

-c, --check
    read checksums from the FILEs and check them

-w, --warn
    warn about improperly formatted checksum lines

--status
    don't output anything, status code shows success

--quiet
    don't print OK for each successfully verified file

--ignore-missing
    don't fail or report status for missing files

--strict
    exit non-zero for improperly formatted checksum lines

--tag
    create a BSD style checksum

-t, --text
    read in text mode (default)

-z, --zero
    end each output line with NUL, not newline, and disable file name escaping

-h, --help
    Print help

-V, --version
    Print version

VERSION
v(uutils coreutils) 0.10.0

EXAMPLES
Calculate the SHA1 checksum for one or more files:

sha1sum path/to/file1 path/to/file2 ...

Calculate and save the list of SHA1 checksums to a file:

sha1sum path/to/file1 path/to/file2 ... > path/to/file.sha1

Calculate a SHA1 checksum from `stdin`:

command | sha1sum

Read a file of SHA1 checksums and filenames and verify all files have matching checksums:

sha1sum [-c|--check] path/to/file.sha1

Only show a message for missing files or when verification fails:

sha1sum [-c|--check] --quiet path/to/file.sha1

Only show a message when verification fails, ignoring missing files:

sha1sum --ignore-missing [-c|--check] --quiet path/to/file.sha1

Check a known SHA1 checksum of a file:

echo known_sha1_checksum_of_the_file path/to/file | sha1sum [-c|--check]

The examples are provided by the tldr-pages project <https://tldr.sh> under the CC BY 4.0 License. Please note that, as uutils is a work in progress, some examples might fail.